summaryrefslogtreecommitdiff
path: root/network/acme.sh/acme.sh.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/acme.sh/acme.sh.SlackBuild')
-rw-r--r--network/acme.sh/acme.sh.SlackBuild78
1 files changed, 78 insertions, 0 deletions
diff --git a/network/acme.sh/acme.sh.SlackBuild b/network/acme.sh/acme.sh.SlackBuild
new file mode 100644
index 0000000000..4cfb5bca53
--- /dev/null
+++ b/network/acme.sh/acme.sh.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/bash
+#
+# Slackware build script for acme.sh
+#
+# Copyright 2019 Corrado Franco (https://conraid.net)
+# All rights reserved.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version, with the following exception:
+# the text of the GPL license may be omitted.
+
+# This program is distributed in the hope that it will be useful, but
+# without any warranty; without even the implied warranty of
+# merchantability or fitness for a particular purpose. Compiling,
+# interpreting, executing or merely reading the text of the program
+# may result in lapses of consciousness and/or very being, up to and
+# including the end of all existence and the Universe as we know it.
+# See the GNU General Public License for more details.
+
+# You may have received a copy of the GNU General Public License along
+# with this program (most likely, a file named COPYING). If not, see
+# <http://www.gnu.org/licenses/>.
+#
+# Latest version of this SlackBuild at https://github.com/conraid/SlackBuilds
+
+PRGNAM=acme.sh
+VERSION=${VERSION:-2.8.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+DOCFILES="*.md"
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+ARCH=noarch
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME:-""}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD.txz "
+ exit 0
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+install -Dm755 acme.sh $PKG/usr/bin/acme.sh
+install -Dm755 deploy/*.sh -t $PKG/usr/share/$PRGNAM/deploy/
+install -Dm755 dnsapi/*.sh -t $PKG/usr/share/$PRGNAM/dnsapi/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a *.md $PKG/usr/doc/$PRGNAM-$VERSION || true
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}